{ config, pkgs, ... }: {
  services.keepalived = {
    enable = true;
    vrrpInstances = {
      V4 = {
        priority = config.vars.ka_priority;
        interface = "enp1s0";
        virtualRouterId = 69;
        virtualIps = [
          {
            addr = config.vars.ka_addr_v4;
          }
        ]; 
      }; 
      V6 = {
        priority = config.vars.ka_priority;
        interface = "enp1s0";
        virtualRouterId = 96;
        virtualIps = [
          {
            addr = config.vars.ka_addr_v6;
          }
        ]; 
      };
    }; 
  };
}




