{...}:
 {
  services.zrepl = {
    
    enable = true;
    settings = {
      global = {
        logging = [{ 
          # use syslog instead of stdout because it makes journald happy
          type = "syslog";
          format = "human";
          level = "info";
        }];
      };

      jobs = [{
        type = "source";
        name = "siredward_pull";
        send = {
          encrypted = true;
        };
        serve = {
          type = "stdinserver";
          client_identities = [ "siredward" ];
        };
        filesystems = {
          "SERVICE/volumes" = true;
        };
        snapshotting = {
          type = "periodic";
          prefix = "SN_";
          interval = "1h";
        };  
      }];
    };
  };
}
